// -*- c++ -*-
/***************************************************************************
                           pluginconfigwidgetimpl.h
                           ------------------
    begin                : Web Oct 8 2008
    copyright            : (C) 2008 by Yannig Perre
    email                : yannig.perre@laposte.net
 ***************************************************************************/

/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Steet, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef PLUGINCONFIGWIDGETIMPL_H
#define PLUGINCONFIGWIDGETIMPL_H

#include "ui_pluginconfigwidget.h"

class PluginConfigWidgetImpl : public QDialog, public Ui::PluginConfigWidget
{
    Q_OBJECT    

public: 
    PluginConfigWidgetImpl(QWidget* p, const char * name, bool modal) : QDialog(p) { setObjectName(name); setModal(modal); }
    void setConfigWidget(const QString& pluginName, QWidget* w);
};

#endif /* PLUGINCONFIGWIDGETIMPL_H */
